# needed for rpmpriorities and mirror-select.conf:
%{!?fcrel:%define fcrel %(cut -d' ' -f4 /etc/fedora-release )}

# the python bindings only work with python >= 2.something
%define pythonver %(echo $(python2 -c "import sys; v=sys.version_info[:2]; print '%d.%d'%v" 2>/dev/null))

# we need to work around various missing builddeps in rpm :-/
%{!?rpmver:%define rpmver %(rpm --version | cut -d' ' -f3)}

Summary: Debian's Advanced Packaging Tool with RPM support.
Name: apt
Version: 0.5.15cnc6
Release: 0.fdr.11.2
Epoch: 0
Group: System Environment/Base
URL: https://moin.conectiva.com.br/AptRpm
License: GPL
ExcludeArch: x86_64

# unfortunately the source isn't really directly downloadable with wget etc:
#Source0: https://moin.conectiva.com.br/AptRpm?action=AttachFile&do=get&target=apt-0.5.15cnc6.tar.bz2
Source0: %{name}-%{version}.tar.bz2

# user editable template configs
Source1: apt.conf
Source2: sources.list
Source3: vendors.list
Source4: apt_preferences

# rpmpriorities generated from comps.xml base group
Source5: rpmpriorities.1
Source6: rpmpriorities.2

# Sources 50-99 are for Lua-scripts
Source50: gpg-checker.lua
Source51: gpg-import.lua
Source52: preserve-conf.lua
Source53: mirror-select.lua
Source54: upgradevirt.lua

# 100-149 for sources.list.d
# no default entry for fedora at all
#Source100: fedora.list
#Source101: macromedia.list

# 150-199 for apt.conf.d
# "factory defaults" for Fedora Core
Source150: default.conf
Source151: mirror-select.conf

# 200-249 for trusted gpg keys
# Fedora key
Source200: gpg-pubkey-4f2a6fd2-3f9d9d3b
# Fedora.us key
Source201: gpg-pubkey-8df56d05-3e828977
# "Old" RHL key
Source202: gpg-pubkey-db42a60e-37ea5438
# Fedora Legacy key
Source203: gpg-pubkey-731002fa-400b9109

# 250-299 for vendor.list.d
Source250: fedora-vendor.list
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Others deps are automatically picked up by rpm
Requires: gnupg, bzip2
# Needed by the mirror-selector script
Requires: wget

BuildRequires: beecrypt-devel
BuildRequires: elfutils-devel
BuildRequires: python-devel >= 0:%{pythonver}
BuildRequires: rpm-devel, zlib-devel, bzip2-devel, libstdc++-devel, gettext
BuildRequires: docbook-utils, perl, readline-devel, ncurses-devel
# for version detection to work 
BuildRequires: fedora-release

%if "%{rpmver}" == "4.3.1"
BuildRequires: libselinux-devel
%endif

# Fix some issues in python binding build
Patch1: apt-0.5.15cnc6-pymake.patch
# Fix segfault in rpm-dir with dangling symlinks 
Patch2: apt-0.5.5-rpmdir-symlink.patch
# Make rpm manifest usage configurable
Patch3: apt-0.5.15cnc5-manifest-limit.patch
# Docbook build fist, send upstream
Patch4: apt-0.5.15cnc6-docbook.patch
# Make build-dep check for broken dependencies
Patch5: apt-0.5.15cnc6-build-dep-fixdeps.patch
# Take read-only, not exclusive rpmdb lock for the initial dependency processing
Patch6: apt-0.5.15cnc6-rdonly.patch

%description
A port of Debian's apt tools for RPM based distributions.
It provides the apt-get utility that provides a simpler, safer way to 
install and upgrade packages. APT features complete installation ordering, 
multiple source capability and several other unique features.

%package devel
Summary: Development files and documentation for APT's libapt-pkg.
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: rpm-devel
%description devel
This package contains the header files and static libraries for developing
with APT's libapt-pkg package manipulation library, modified for RPM.

%package python
Summary: Python bindings for libapt-pkg
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: %{_bindir}/python%{pythonver}
%description python
The apt-python package contains a module which allows python programs
to access the APT library interface.

%prep
%setup -q
%patch1 -p1 -b .pymake
%patch2 -p1 -b .rpmdir
%patch3 -p1 -b .manifest
%patch4 -p0 -b .docbook
%patch5 -p0 -b .build-dep-fix
%patch6 -p1 -b .rdonly

# fix docs to reference correct paths
perl -pi -e \
  's|\bconfigure-index\.gz\b|configure-index| ;
   s|/usr/share/doc/apt/|%{_docdir}/%{name}-%{version}/|' \
  doc/apt.ent doc/fr/apt.ent.fr


%build
# disabling build dep tracking ought to make rpm-building a bit faster
%configure --disable-dependency-tracking

SGML_CATALOG_FILES=$(ls -1 %{_sysconfdir}/sgml/sgml-docbook-3.1* | head -n 1) \
make %{?_smp_mflags} NOISY=1

touch python/apt.py python/apt_wrap.cxx
make -C python %{?_smp_mflags}
python -c "import py_compile; py_compile.compile('python/apt.py')"

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall includedir=$RPM_BUILD_ROOT%{_includedir}/apt-pkg
%find_lang %{name}

# The state files
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/cache/apt/archives/partial
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/cache/apt/genpkglist
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/cache/apt/gensrclist
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/state/apt/lists/partial


# The config files
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/apt
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/apt/scripts
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/apt/apt.conf.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/apt/sources.list.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/apt/vendors.list.d
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/apt/apt.conf
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/apt/sources.list
install -p -m 644 %{SOURCE3} $RPM_BUILD_ROOT/%{_sysconfdir}/apt/vendors.list
install -p -m 644 %{SOURCE4} $RPM_BUILD_ROOT/%{_sysconfdir}/apt/preferences
install -p -m 644 $RPM_SOURCE_DIR/rpmpriorities.%{fcrel} $RPM_BUILD_ROOT/%{_sysconfdir}/apt/rpmpriorities

# install config parts
for cnf in %{SOURCE150} %{SOURCE151}; do
	install -p -m 644 $cnf $RPM_BUILD_ROOT%{_sysconfdir}/apt/apt.conf.d/
done
# fix mirror-select path
perl -pi -e "s/FCREL/%{fcrel}/g" $RPM_BUILD_ROOT%{_sysconfdir}/apt/apt.conf.d/mirror-select.conf

install -p -m 644 %{SOURCE250} $RPM_BUILD_ROOT%{_sysconfdir}/apt/vendors.list.d/fedora.list

# GPG keys
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/apt/gpg/
for gpgkey in %{SOURCE200} %{SOURCE201} %{SOURCE202}; do
	install -p -m 644  $gpgkey $RPM_BUILD_ROOT%{_sysconfdir}/apt/gpg/
done

# Lua scripts
mkdir -p $RPM_BUILD_ROOT%{_libdir}/apt/scripts
for script in %{SOURCE50} %{SOURCE51} %{SOURCE52} %{SOURCE53} %{SOURCE54}; do
	install -p -m 755 $script $RPM_BUILD_ROOT%{_libdir}/apt/scripts/
done


# The python bindings
mkdir -p $RPM_BUILD_ROOT%{_libdir}/python%{pythonver}/site-packages/
install -p -m 755 python/apt.py* python/_apt.so $RPM_BUILD_ROOT%{_libdir}/python%{pythonver}/site-packages/

# nuke .la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# don't require python, lua etc because of stuff in doc/contrib
find contrib/ -type f |xargs chmod 0644

%pre
if [ $1 -gt 1 ] && [ ! -f %{_sysconfdir}/apt/apt.conf.d/default.conf ]; then
	mv -f %{_sysconfdir}/apt/apt.conf %{_sysconfdir}/apt/apt.conf.rpmsave
	echo "NOTE: Default configuration changed!"
	echo "If you have made any changes to the configuration locally"
	echo "Merge your local customizations from %{_sysconfdir}/apt/apt.conf.rpmsave"
	echo "to %{_sysconfdir}/apt/apt.conf"
fi

%post 
/sbin/ldconfig
if [ ! -f %{_sysconfdir}/apt/apt.conf ]; then
	echo "// User customizable configuration goes here" > %{_sysconfdir}/apt/apt.conf
fi

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS* COPYING* ABOUT* TODO doc/examples/ contrib/
%dir %{_sysconfdir}/apt
%dir %{_sysconfdir}/apt/sources.list.d
%dir %{_sysconfdir}/apt/vendors.list.d
%dir %{_sysconfdir}/apt/apt.conf.d
%dir %{_sysconfdir}/apt/gpg
%{_sysconfdir}/apt/gpg/gpg-pubkey*
%config(noreplace) %{_sysconfdir}/apt/rpmpriorities
%config(noreplace) %{_sysconfdir}/apt/preferences
%config(noreplace) %{_sysconfdir}/apt/apt.conf 
%config(noreplace) %{_sysconfdir}/apt/sources.list
%config(noreplace) %{_sysconfdir}/apt/vendors.list
# NOTE: no noreplace on these because we WANT to be able to change the defaults
# without user intervention!
%config %{_sysconfdir}/apt/apt.conf.d/*
#%config %{_sysconfdir}/apt/sources.list.d/*.list
%config %{_sysconfdir}/apt/vendors.list.d/*

%{_bindir}/apt-cache
%{_bindir}/apt-cdrom
%{_bindir}/apt-config
%{_bindir}/apt-shell
%{_bindir}/apt-get
%{_bindir}/genpkglist
%{_bindir}/gensrclist
%{_bindir}/genbasedir
%{_libdir}/*.so.*
%{_libdir}/apt
%{_mandir}/man?/*
%{_localstatedir}/cache/apt
%{_localstatedir}/state/apt


%files devel
%defattr(-, root, root)
%{_includedir}/apt-pkg/*
%{_libdir}/*.so
%{_libdir}/*.a

%files python
%defattr(-, root, root)
%{_libdir}/python%{pythonver}/site-packages/*

%changelog
* Fri Apr 09 2004 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc6-0.fdr.11
- revert the ctrl-c workaroound, the "cure" is worse than the disease

* Thu Apr 08 2004 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc6-0.fdr.10
- take readonly rpmdb lock initially, not exclusive

* Thu Apr 08 2004 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc6-0.fdr.9
- patch from upstream to plug segfault if ctrl-c'ing while downloading
- apt isn't multilib-safe, exclude arch x86_64 (bug #1464)

* Tue Apr 06 2004 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc6-0.fdr.8
- fix build-dep issue reported in #1429

* Mon Apr 05 2004 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc6-0.fdr.7
- don't run gpg-import at all as a normal user

* Mon Apr 05 2004 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc6-0.fdr.6
- don't fail in gpg-checker if directory / files don't exist
- don't spit out spurious error messages if importing fails (#1398)
- allow turning off the gpg-import via true/false configuration item
- explicitly list GPG-Check and GPG-Import config options in default.conf
- generate mirror-select.conf based on FC release automatically
- buildrequires fedora-release for version detection
- rename Upgrade-Kernel -> Upgrade-Virtual in sample apt.conf

* Sat Apr 03 2004 Warren Togami <wtogami@redhat.com> 0.5.15cnc6-0.fdr.5
- Ville's docbook building fix

* Tue Mar 30 2004 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc6-0.fdr.4
- add upgrade-virtual=true back to default.conf 
- updated version of upgradevirt.lua, fixed kernel-module package handling

* Mon Mar 29 2004 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc6-0.fdr.3
- remember to include upgradevirt.lua..

* Mon Mar 29 2004 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc6-0.fdr.2
- allow-duplicated lua script was getting incorrectly copied to scripts/
- fix some permissions of source files to make rpmlint happy
- don't copy source53 twice
- in gpg-import check that the file is called gpg-pubkey* and ignore others

* Sun Mar 28 2004 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc6-0.fdr.1
- move back to upgradevirt.lua, allow-duplicated from contrib doesn't like
  RH kernel packages
- remember to set kernel::module-prefix in default.conf
- add upgradevirt.lua to all the necessary new slot
- move kernel from Essential priority to Important in rpmpriorities, allow-
  duplicated packages don't behave well with Essential priority 

* Mon Mar 22 2004 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc6-0.fdr.1
- update to 0.5.15cnc6
- fix the source url

* Sat Mar 20 2004 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc6-0.fdr.0.r309.1
- update to revision r309 snapshot
- remove patches merged upstream
- drop upgradevirt.lua, use allow-duplicated from contrib instead
- updated gpg-checker scripts (fix #1398)
- updated mirror-select scripts

* Sun Feb 29 2004 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc5-0.fdr.10
- re-add promoteepoch patch, it got accidentally left out of the upstream-patch

* Wed Feb 25 2004 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc5-0.fdr.9
- Change the comments mirror-select writes as requested in #1180

* Fri Feb 13 2004 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc5-0.fdr.8
- Pull patch for revs 266-274 from upstream, containing various important
  fixes (epoch handling, build system related etc) 

* Thu Feb 09 2004 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc5-0.fdr.7
- Fix build on FC2-test1 (conditional libselinux-devel buildreq)

* Mon Feb 09 2004 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc5-0.fdr.6
- automatically handle fedora.us style kernel-module packages with kernel
  updates 
- don't run mirror-selector if quiet mode set (== non-interactive)
- don't trash sources.list on upgrade, only if user chooses to do so

* Wed Feb 04 2004 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc5-0.fdr.5
- don't break sources.list on upgrade from %%post

* Wed Jan 28 2004 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc5-0.fdr.4
- updated mirror-selector:
  * write to /etc/apt/sources.list.d/mirror-select.list, not main sources.list
  * some cosmetic improvements
- move main sources.list out of the way on first upgrade to force user to
  choose a mirror

* Tue Jan 27 2004 Panu Matilainen <pmatilai@welho.com>
- Always initialize rpm transaction rootdir (hope to fix #1238)

* Mon Jan 19 2004 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc5-0.fdr.3
- make rpm manifest usage configurable per Enricos request (patch 4)
- use mirror lists on fedora.us 
- include Fedora Legacy gpg key

* Tue Jan 06 2004 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc5-0.fdr.2
- make newly installed kernel default by default
- clean up old cruft (sources.list editing etc)
- stricter python dependency for apt-python
- set all files in contrib non-executable, not just *.py
- fix couple of buglets in mirror-select.lua

* Sat Dec 27 2003 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc5-0.fdr.1
- don't fail from mirror-select if /proc isn't mounted

* Sat Dec 27 2003 Panu Matilainen <pmatilai@welho.com>
- don't create unneeded duplicate provides for virtualized packages (patch 3)

* Fri Dec 26 2003 Panu Matilainen <pmatilai@welho.com>
- add missing dependency on wget for mirror-selector

* Wed Dec 24 2003 Panu Matilainen <pmatilai@welho.com>
- update to 0.5.15cnc5
- drop patches merged upstream

* Tue Dec 23 2003 Panu Matilainen <pmatilai@welho.com>
- remove extranuous mirror-select configs from default.conf 
- updated mirror-select script

* Fri Dec 12 2003 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc4-0.fdr.4
- replace kernel-upgrade.lua with a more generic script which automatically
  upgrades all virtualized (usually allow-duplicated) packages

* Wed Dec 10 2003 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc4-0.fdr.3
- add missing gettext build dependency

* Mon Dec 08 2003 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc4-0.fdr.2
- updated mirror-selector:
  * download mirrorlist off the net
  * support several mirror lists
  * separate steps for choosing repositories and mirrors
- revert gensrclist change breaking older apts

* Wed Dec 03 2003 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc4-0.fdr.1
- update to 0.5.15cnc4
- drop obsolete "oldpkg" patch
- drop patches merged upstream
- remove default-release setting, causes unnecessary confusion among users
- remove reduntant stuff from fedora.conf, rename to default.conf
- no default repositories included
- add old RHL GPG key back, a few FC packages appear to be signed by it still

* Tue Dec 02 2003 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc3-0.fdr.5
- fix default config wrt Lua scripts (various slot-names changed in cnc3)
- better handling of default config in lua-scripts
- turn kernel upgrading on by default in fedora.conf

* Mon Dec 01 2003 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc3-0.fdr.4
- don't drag in dependency on external lua

* Mon Dec 01 2003 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc3-0.fdr.3
- much improved mirror-selector script
- add various important upstream fixes (patches 6-8)
- add kernel*unsupported-modules to fedora.conf for 2.6 kernels

* Tue Nov 25 2003 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc3-0.fdr.2
- trim rpmpriorities a bit
- add a "first-time druid" script to prompt user for nearest mirror
- no default fedora sources.list entry at all
- use sluglug.ucsc.edu mirror for macromedia instead of mplug.org

* Mon Nov 24 2003 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc3-0.fdr.1
- update to official 0.5.15cnc3
- move old apt.conf out of the way on upgrade to new-style config
- saner error messages in gpg-checker.lua

* Mon Nov 24 2003 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc2-0.fdr.2.r224.1
- oops, some local cruft got included in previous version

* Mon Nov 24 2003 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc2-0.fdr.2.r224
- update to revision 224

* Sat Nov 22 2003 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc2-0.fdr.2.r213
- update to revision 213

* Fri Nov 21 2003 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc2-0.fdr.2.r210
- snapshot of revision 210 from svn repo
- default to internal package manager (== rpmlib)
- remove old rpmlib-patch related logic from spec
- move default configs to sources.list.d, apt.conf.d and vendors.list.d,
  leaving the apt.conf and sources.list for user localizations

* Wed Nov 12 2003 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc2-0.fdr.1
- update rpmlib patch to -7 which has more sensible error reporting

* Wed Nov 12 2003 Panu Matilainen <pmatilai@welho.com> 
- update to 0.5.15cnc2
- remove patches 6-9, they're merged upstream now
- use fedora-style buildroot
- drop the ugly apt.conf tweaking from post, wont fix everything anyway
  if upgrading from old RHL's.
- add URL to spec (wake up QA, been missing all this time and nobody noticed :)
- remove rpm version checking, not needed anymore

* Tue Nov 11 2003 Panu Matilainen <pmatilai@welho.com>
- drop the build-dep patches altogether, they're .. umm, borked

* Tue Nov 11 2003 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc1-0.fdr.3
- stricter python dependency on -python
- remove out-of-date mirror list from sources.list, add pointer to
  official mirror list URL
- drop all rawhide and test keys - we don't want those automatically imported

* Mon Nov 10 2003 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc1-0.fdr.2
- add patch 11 from Gustavo to fix package pinning

* Sat Nov 08 2003 Panu Matilainen <pmatilai@welho.com> 0.5.15cnc1-0.fdr.1
- update to 0.5.15cnc1
- back to 0.fdr.x releases...
- redhat -> fedora fixes in rpmpriorities.1

* Fri Nov 07 2003 Panu Matilainen <pmatilai@welho.com> 0.5.5cnc7-1
- update to cnc7
- drop patches 9 + 10 for now (re-evaluation needed)
- Fedora-keys added, old RH keys removed

* Sun Nov 02 2003 Panu Matilainen <pmatilai@welho.com>
- update rpmlib patch to allow compiling against rpm-4.2.1
- scrap old RHL version checking + deps
- buildroot -> RPM_BUILD_ROOT
- fix source lists for new repository layout

* Thu Oct 23 2003 Panu Matilainen <pmatilai@welho.com> 0.5.5cnc6-0.fdr.11
- add rpmpriorities for 0.95, drop 0.93

* Thu Oct 16 2003 Panu Matilainen <pmatilai@welho.com>
- update rpmlib patch to rev -5 (which actually works again :)

* Wed Oct 01 2003 Panu Matilainen <pmatilai@welho.com> 0.5.5cnc6-0.fdr.10
- include rpmpriorities for 0.94
- more fixes for #667 (handle builddeps on versioned provides)

* Tue Sep 30 2003 Panu Matilainen <pmatilai@welho.com> 0.5.5cnc6-0.fdr.9
- add patch 10 to support build dependencies on files (#682)
- add new rawhide gpg key (#696)
- add distrel mangling for Fedora Core

* Wed Sep 03 2003 Panu Matilainen <pmatilai@welho.com> 0.5.5cnc6-0.fdr.8
- add patch 9 to support build dependencies on virtual packages (#667)
- config(noreplace) for /etc/apt/rpmpriorities (#629)
- better reporting of signature problems in gpg-checker.lua

* Fri Aug 29 2003 Panu Matilainen <pmatilai@welho.com>
- add contrib stuff as docs
- add bzip2 dependency (#629)

* Tue Aug 19 2003 Panu Matilainen <pmatilai@welho.com> 0.5.5cnc6-0.fdr.7
- use apterror() instead of exit in gpg-checker.lua to allow smoother
  operation with synaptic
- support pkg=ver syntax for virtual packages (patch 8)
- strict version-release dependency in apt-python
- when built with --with rpmlib add .rpmlib to release string

* Tue Aug 19 2003 Panu Matilainen <pmatilai@welho.com>
- fix #558, #611

* Mon Jul 21 2003 Panu Matilainen <pmatilai@welho.com> 0.5.5cnc6-0.fdr.6
- fix build on RH 9.0.93
- detect rpm-related buildreqs from rpm version, not distro version
- some spec rearrangements
- comment the patches

* Sat Jul 19 2003 Panu Matilainen <pmatilai@welho.com> 0.5.5cnc6-0.fdr.5
- use -p option with install
- add beecrypt-devel buildreq for rpm-4.2.1

* Mon Jul 14 2003 Panu Matilainen <pmatilai@welho.com> 0.5.5cnc6-0.fdr.4
- fix typos in gpg-checker script

* Mon Jul 07 2003 Panu Matilainen <pmatilai@welho.com> 0.5.5cnc6-0.fdr.3
- fix apt.conf for gpg checking with lua in post

* Fri Jun 13 2003 Panu Matilainen <pmatilai@welho.com> 0.5.5cnc6-0.fdr.2
- add patch to allow build against rpm-4.2.1
- add --with rpmlib build option

* Thu Jun 12 2003 Panu Matilainen <pmatilai@welho.com>
- EXPERIMENTAL patch to make apt use only rpmlib

* Tue Jun 10 2003 Panu Matilainen <pmatilai@welho.com> 0.5.5cnc6-0.fdr.1
- update to 0.5.5cnc6
- drop patches merged upstream

* Tue Jun 10 2003 Panu Matilainen <pmatilai@welho.com> 0.5.5cnc5-0.fdr.9
- patch from upstream to fix a security problem where lua-scripts can get 
  accidentally executed from cwd

* Mon Jun 09 2003 Panu Matilainen <pmatilai@welho.com>
- apt doesn't like build deps on versioned virtual provides -> only RH7.3
  package buildrequires python2-devel, newer ones have python-devel 

* Thu Jun 05 2003 Panu Matilainen <pmatilai@welho.com> 0.5.5cnc5-0.fdr.8
- fix the proxy template format in apt.conf
- fix hang when reading package lists on duplicate packages

* Thu May 22 2003 Panu Matilainen <pmatilai@welho.com>
- automatically handle installing older allowdup pkgs with new rpms

* Mon May 19 2003 Panu Matilainen <pmatilai@welho.com> 0.5.5cnc5-0.fdr.7
- fix thinkos/typos in gpg-checker + config

* Mon May 19 2003 Panu Matilainen <pmatilai@welho.com> 0.5.5cnc5-0.fdr.6
- import some of the changes in #149:
  - detect distrel, rhrel automatically
  - rename GPG keys to their rpmdb names for easier checking
  - use install instead of cp
- use Lua GPG-sigchecker, split importing them to another script
- include kernel-upgrade and preserve-conf Lua-scripts
- move lua scripts from /etc/apt to /usr/lib/apt (upstream change in svn tree)
- list explicitly binaries so we know if something fails
- fix #259
- add missing ncurses-devel buildreq (for apt-shell)

* Sat May 03 2003 Panu Matilainen <pmatilai@welho.com> 
- add missing libelf-devel buildreq for RH8.0 (#254)
- add missing readline-devel buildreq (for apt-shell)

* Thu Apr 24 2003 Panu Matilainen <pmatilai@welho.com> 
- add /etc/apt/scripts directory (for Lua scripts)

* Tue Apr 22 2003 Warren Togami <warren@togami.com> 0.5.5cnc5-0.fdr.5
- Bug #172 comment #18 apt.conf proxy syntax

* Tue Apr 22 2003 Warren Togami <warren@togami.com> 0.5.5cnc5-0.fdr.4
- elfutils-devel exists only in RH9

* Tue Apr 22 2003 Warren Togami <warren@togami.com> 0.5.5cnc5-0.fdr.3
- Patch epoch comparison behavior, rpmvercmp.warren.patch
  http://www.fedora.us/pipermail/fedora-devel/2003-April/001043.html

* Thu Apr 17 2003 Panu Matilainen <pmatilai@welho.com> 0.5.5cnc5-0.fdr.2
- add missing buildreq elfutils-devel
- rpmpriorities for non %{distrel} wasn't getting included in src.rpm

* Wed Apr 16 2003 Panu Matilainen <pmatilai@welho.com> 0.5.5cnc5-0.fdr.1
- patch to speed up apt startup and genbasedir
- drop "counting sheep" patch, not needed anymore
- include current mirrors in sources.list 
- autodetect RH version

* Tue Apr 15 2003 Panu Matilainen <pmatilai@welho.com>
- update to official 0.5.5cnc5
- use g++ not gcc to build python bindings
- more selected merging from #149
- include Fedora GPG fingerprint in vendors.list "just in case"

* Mon Apr 14 2003 Panu Matilainen <pmatilai@welho.com>
- update to newer snapshot (new make system, lua interface ...)
- rearrange spec accordingly, use %find_lang etc
- drop unneeded patches (filedeps..)
- only look at .list files in sources.list.d
- merge selected patches by Rex Dieter / #149
- include French mirror in sources.list (commented out)

* Mon Apr 07 2003 Panu Matilainen <pmatilai@welho.com> 0.5.5cnc4.1-0.fdr.7
- optional patch to ignore signals while rpmdb lock is held to avoid stale locks
- add epoch to requires =, >= too

* Thu Apr 03 2003 Panu Matilainen <pmatilai@welho.com>
- fix segfault if rpm-dir index is a broken symlink 
- rpmpriorities generated from comps.xml
- dont tag the various keys as %dir :-/

* Mon Mar 31 2003 Panu Matilainen <pmatilai@welho.com> 0.5.5cnc4.1-0.fdr.5
- add Ville's suggested fixes from #12 (doc paths, stricter regexps in apt.conf)

* Mon Mar 31 2003 Panu Matilainen <pmatilai@welho.com> 0.5.5cnc4.1-0.fdr.4
- use 7.x instead of 7.3 in macromedia repository
- add Epoch 0
- add patch from svn for massive file dependency breakage on certain situations
- add patch4 to tell something is happening when apt is counting packages
  on startup

* Fri Mar 27 2003 Panu Matilainen <pmatilai@welho.com> 0.5.5cnc4.1-0.fdr.3
- dont bother building translations since we're not installing them anyway
  which fixes build on RH7.x (7.3 at least)

* Thu Mar 27 2003 Panu Matilainen <pmatilai@welho.com> 0.5.5cnc4.1.0.fdr.2
- add macromedia.list
- import GPG keys on first run, not from %post
- require gnupg (needed with authenticated repositories)

* Tue Mar 25 2003 Panu Matilainen <pmatilai@welho.com>
- import GPG keys from %post
- drop the -kernel$ entries from apt.conf
- add Default-Release = stable to apt.conf

* Sat Mar 23 2003 Panu Matilainen <pmatilai@welho.com>
- Initial Fedora packaging (reset changelog)
